xvidcap(1)

NAME
XVidCap - Record X11 screen portions to video

SYNOPSIS
xvidcap [-v] [ --mf | --sf ] [--file file name pattern |- ] [--fps frames per second] [--cap_geometry geometry] [--rescale size percentage] [--quality quality percentage] [--source x11|shm ] [--time maximum duration in seconds] [--frames maximum frames] [--start_no initial frame number] [--continue yes|no ] [--gui yes|no ] [--auto] [--codec video codec] [--codec-help] [--format output file format] [--format-help] [--audio yes|no ] [--aucodec audio codec] [--aucodec-help] [--audio_in audio capture device |- ] [--audio_bits audio bit rate] [--audio_rate audio sample rate] [--audio_channels audio channels]

INTRODUCTION
xvidcap is a tool that captures movement on a selected area of an X11 screen to files. It can operate in two distinct modes: (1) single-frame capture or (2) multi-frame capture. In single-frame capture mode xvidcap takes a configurable number of screenshots per second and saves them to individual files. In multi-frame capture mode xvidcap also takes a number of screenshots per second, but encodes them to a single video in real time. Audio capture is only available with multi-frame formats.

Recording in single-frame capture mode may be more convenient if you wish to preprocess the images before encoding, or if you need other video codecs xvidcap does not support. Individual images can later be encoded with tools like ffmpeg, mencoder, or transcode.

For help, feature requests, or bug-reports please turn to http://www.sourceforge.net/projects/xvidcap/

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-v  Runs xvidcap in verbose mode. This will provide more information about user settings, input and output codecs, performance and so forth. Messages like "missing XX milli secs .." while capturing mean you are missing frames due to lack of ressources (dropped frames). This results in a video that will play back too quickly. Note though, that verbose mode slows down xvidcap and may actually be causing frame drops. Try running without verbose mode and watch the frame drop monitor.

--mf | --sf
    xvidcap tries to be smart about what capture mode you want. If you specify --file test.avi xvidcap will assume you want multi-frame capture. You can explicitly specify capture mode on the command line with this switch. If, for example, you have your settings properly configured and saved with multi-frame capture as the default mode, calling xvidcap --sf will start xvidcap in single-frame capture mode with all stored settings. The default is multi-frame capture.

--file file name pattern
    File name or pattern to use for saving the captured frames. A file name pattern contains printf()-like formatting (ref. man printf) information to make the file name incrementable, e.g. --file out-%02d.xwd. This is necessary for single-frame capture. xvidcap will replace the first printf() format string with the number of the frame currently captured. Thus, in the example given, it will write to files out-00.xwd, out-01.xwd, out-02.xwd, etc. The frame number to start with can be specified with --start_no, see above. Multi-frame capture does not need a file pattern. If you specify one nonetheless like --file mymovie-%d.mpeg for example, xvidcap will replace the format string with the number of the current recording session (always starting the count from zero). This will enable you to manually in-/decrement that number, or use the autocontinue feature (ref. --continue below) effectively creating a series of video files.

--fps frames per second
    Specifies the number of frames to be captured per second. This parameter accepts floating point values, which allows for very low capture rates like e.g. --fps 0.5 to record one frame every 2 seconds. This is only possible in single-frame mode. Codecs used for multi-frame modes usually only accept certain frame rates as valid. Note that fractional frame rates for codecs like MPEG1 which only accept very specific fractions are disabled in this version due to an inconsistency with fractional timing between xvidcap and libavcodec. Only integer frames rates will be accepted here.

--cap_geometry geometry
    Specify the geometry as for e. g. xterm, i. e. like this: widthxheight+x-position+y-position This overrides the default width and height of the capture frame. Use the picker button of the GUI rather than this command line option to adjust the frame size to a given window. Capture sizes below 20 x 20 don't seem to work well with most multi-frame capture codecs.

--rescale size percentage
    Rescale the output to a percentage of the original input. A value of 25, e. g. makes the output size be 25 percent of the original input area.

--quality quality percentage
    Specify a value between 0 and 100 to define the quality encoding. The default value is 75.

--source x11|shm
    Enable or disable the usage of the X11 shared memory extension. For shared memory support both client and server have to run on the same host. If shared memory support is available, xvidcap will use it by default. If your X server and client do not run on the same machine, you need to disable it by passing --source x11.

--time maximum duration in seconds
    Specifies the maximum time to capture, a value of 0 will cause xvidcap to capture until stopped interactively. For any other value any recording session will stop automatically after the specified number of seconds. This parameter conflicts with --frames (see below). If both are given xvidcap will stop capturing when either applies. The program accepts floating point values, e.g. 2.5.

--frames maximum frames
    Stops capturing after the specified number of frames are captured. If 0 xvidcap will capture until stopped interactively, ref. --time above.

--start_no initial frame number
    Defines the start number which should be used for numbering files. The default value is 0.This parameter is used for single-frame capture only. The numbering of movie files for --continue always starts at zero.

--continue yes|no
    When multi-frame capture is selected, maximum recording time or frames are specified, and the output filename is incrementable (see --file below), xvidcap can automatically continue to capture to a new file when one exceeds the maximum recording time or number of frames. This will change the behaviour of --time and --frames because recording will not stop at the specified limits, but rather start a new video file. The feature is esp. useful if you want to automatically split your recording into chunks of e. g. five minutes. If no argument --continue is given, xvidcap defaults to no. Because single-frame capture needs an incrementable filename to count the individual frames, this feature is disabled for single-frame capture.

--gui yes|no
    Start xvidcap with or without control GUI overriding what's in the preferences file. Running without GUI will automatically start a single capture session. It can be stopped by either specifying one of --time or --frames, or by hitting CTRL-C.

--auto
    xvidcap supports automatic detection of parameters for output format, video- and audio codec. If any of those settings are saved as fixed values in the stored preferences, they can be overriden by specifying the parameter auto to any of the arguments --format, --codec, or --aucodec. This argument is a shorthand for setting all three to automatic detection.

--codec video codec
    Override preferences and automatic codec selection with the explicitly specified codec.

--codec-help
    List valid codecs.

--format output file format
    Override preferences and automatic format selection with the explicitly specified file format.

--format-help
    List valid file formats.

AUDIO OPTIONS
The following options relate to audio capture which is available with multi-frame output formats only. There audio streams can either be captured from a compatible audio device (e.g. /dev/dsp) or from STDIN (ref. --audio_in below).

--audio yes|no
    Enable or disable audio capture using default parameters or those saved to the preferences file. If supported this is enabled by default for multi-frame capture.

--aucodec audio codec
    Override preferences and automatic codec selection with the explicitly specified audio codec.

--aucodec-help
    List valid audio codecs.

--audio_in audio capture device|-
    Capture audio from the specified device or from stdin. The latter allows for dubbing a captured video using a command line like the following. The default is /dev/dsp. cat some.mp3 | xvidcap --audio_in -

--audio_bits audio bit rate
    Set the desired bit rate. The default is 32000 bit. Note that when using STDIN input the input file will be resampled as needed.

--audio_rate audio sample rate
    Set the desired sample rate. The default is 22050 Hz. Note that when using STDIN input the input file will be resampled as needed.

--audio_channels audio channels
    Set the desired number of channels. The default is 1 for mono. Any value above 2 is probably only useful with STDIN input and a 5-channel AC audio input file or very good and rare recording equipment.

AUTHORS
xvidcap was written by Rasca Gmelch and Karl H. Beckers.

This manual page was written by Karl H. Beckers karl.h.beckers@gmx.net for the xvidcap project.

This translation was done by TRANSLATOR-CREDITS HERE!!!

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.